Loading...
Searching...
No Matches
cmprlz4.c File Reference
`#include <grass/config.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "lz4.h"`
Include dependency graph for cmprlz4.c:

Go to the source code of this file.

## Functions

int | G_lz4_compress_bound (int src_sz)
int | G_lz4_compress (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
int | G_lz4_expand (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)

## Function Documentation

## G_lz4_compress()

int G_lz4_compress | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz )

Definition at line 78 of file cmprlz4.c.

References err(), G_free(), G_lz4_compress_bound(), G_warning(), LZ4_compress_default(), and NULL.

## G_lz4_compress_bound()

int G_lz4_compress_bound | ( | int | src_sz | ) |

Definition at line 70 of file cmprlz4.c.

References LZ4_compressBound().

Referenced by G_lz4_compress().

## G_lz4_expand()

int G_lz4_expand | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz )

Definition at line 146 of file cmprlz4.c.

References err(), G_warning(), LZ4_decompress_safe(), and NULL.